<!--
  ~ BSD 3-Clause License
  ~
  ~ Copyright (c) 2019, Michael Becker
  ~ All rights reserved.
  ~
  ~ Redistribution and use in source and binary forms, with or without
  ~ modification, are permitted provided that the following conditions are met:
  ~
  ~ * Redistributions of source code must retain the above copyright notice, this
  ~   list of conditions and the following disclaimer.
  ~
  ~ * Redistributions in binary form must reproduce the above copyright notice,
  ~   this list of conditions and the following disclaimer in the documentation
  ~   and/or other materials provided with the distribution.
  ~
  ~ * Neither the name of the copyright holder nor the names of its
  ~   contributors may be used to endorse or promote products derived from
  ~   this software without specific prior written permission.
  ~
  ~ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  ~ AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  ~ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  ~ DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  ~ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  ~ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  ~ SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  ~ CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  ~ OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  ~ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  ~
  -->

<!DOCTYPE html>
<html>
<head>
    <title>${title!"defaultTitle"} | ${description!"defaultDescription"}</title>

    <link rel="stylesheet" type="text/css" href="/styles/main.css"/>
</head>
<body>
<h1>Ecovacs Deebot Client</h1>
<ul>
    <li><a href="/robots">Select Robot (currently selected: ${activeRobot!"N/A"})</a></li>
    <#if activeRobot??>
    <p>Robot time: ${deviceTime.deviceTime}+${deviceTime.timeZone}</p>
    <li>Clean
        <ul>
            <li><a href="/clean">Clean</a></li>
            <li><a href="/getCleanLogs">Display Clean Logs</a></li>
            <li><a href="/getTrace">Load Trace (experimental!)</a></li>
            <li><a href="/cleanSched/list">List Clean Schedules</a></li>
        </ul>
    </li>
    <li>Map
        <ul>
            <li><a href="/reloadMapDataFromBot">Reload map data from bot</a></li>
            <li><a href="/reloadMapDataFromFile">Reload map data from file</a></li>
            <li><a href="/saveMapDataToFile">Save map data to file</a></li>
            <li><a href="/displayMapUnscaled">Display unscaled map</a></li>
            <li><a href="/displayMapScaled">Display scaled map</a></li>
            <li><a href="/reloadSpotAreas">Reload spot areas</a></li>
            <li><a href="/displayMapScaledWithSpotAreas">Display scaled map with spot areas</a></li>
            <li><a href="/renameSpotAreas">Rename Spot Areas</a></li>
            <li><a href="/clearMap">Clear Map</a></li>
        </ul>
    </li>
    <li>Misc
        <ul>
            <li><a href="/charge">Charge</a></li>
            <li><a href="/updateTime">Update robot time</a></li>
        </ul>
    </li>
    </#if>
</ul>
</body>
</html>